% Input:
% sp: function handle (support function)
% L: matrix (containing row-wise diretion vectors)

% Output:
% b: vector (containing in each entry the evaluation of the support
% function for the correspondent direction in L)

% Beschreibung:
% Converts a support function representation to a template hull
% representation (= evaluation)

function [b] = sptotemplatepolyhedra(sp,L)
s = size(L,1);
b = zeros(s,1);
parfor i=1:s
    b(i,1) = sp(L(i,:)');
end;